package com.realnet.basic.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.basic.Entity.Bill;
import com.realnet.basic.Services.BillService ;










@RequestMapping(value = "/token/Bill")
 @CrossOrigin("*") 
@RestController
public class tokenFree_BillController {
	@Autowired
	private BillService Service;

@Value("${projectPath}")
	private String projectPath;
 










	@PostMapping("/Bill")
		  public Bill Savedata(@RequestBody Bill data) {
		Bill save = Service.Savedata(data)	;









		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Bill/{id}")
	public  Bill update(@RequestBody Bill data,@PathVariable Integer id ) {
		Bill update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Bill/getall/page")
	public Page<Bill> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Bill> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Bill")
	public List<Bill> getdetails() {
		 List<Bill> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Bill")
	public List<Bill> getallwioutsec() {
		 List<Bill> get = Service.getdetails();		
		return get;
}
@GetMapping("/Bill/{id}")
	public  Bill  getdetailsbyId(@PathVariable Integer id ) {
		Bill  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Bill/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}











}